package Loes_Aufg_9_1;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;

public class Loes_Aufg_9_1 
{
	public static void main(String[] args) throws MalformedURLException
	{
		String url = "http://angewnwt.hof-university.de:4437/verwaltung";

		// Verbindung zum Server aufbauen
		Service service = Service.create(
				new URL(url + "?wsdl"), 
				new QName("http://soap/", "VerwaltungImplService"));

		// Stub-Methoden bereitstellen
		VerwaltungInterface verwaltung = service.getPort(VerwaltungInterface.class);

		// Alle Matrikelnummern durchprobieren
		for(int matNr = 10000; matNr < 30000; matNr++ ) {
			Student s = verwaltung.nameZuMatrikelnummer(matNr);
			if(s != null) {
				System.out.println("Gueltige Matrikelnummer: "+ s.matrikelNummer + ": " + s.name);
			}
		}
	}
}
